GCLOUD_COMPUTE_ROUTERS_REMOVE-INTERFACE(1)

NAME

gcloud compute routers remove-interface - remove an interface from a router

SYNOPSIS

gcloud compute routers remove-interface NAME --interface-name INTERFACE_NAME [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute routers remove-interface removes an interface from a router.

POSITIONAL ARGUMENTS
NAME
    The name of the router.

REQUIRED FLAGS
--interface-name INTERFACE_NAME
    The name of the interface being removed.

OPTIONAL FLAGS
--region REGION
    The region of the router to update. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.